Bug 208995 - Force the use of mmap in devel/boehm-gc
Summary: Force the use of mmap in devel/boehm-gc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks: 207867
  Show dependency treegraph
 
Reported: 2016-04-23 12:47 UTC by Andrew Turner
Modified: 2016-04-29 15:25 UTC (History)
3 users (show)

See Also:
cpm: maintainer-feedback+


Attachments
Patch to force using mmap (916 bytes, patch)
2016-04-23 12:47 UTC, Andrew Turner
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Turner freebsd_committer 2016-04-23 12:47:36 UTC
Created attachment 169597 [details]
Patch to force using mmap

On arm64 we would like to not use brk or sbrk. For this we will need to remove the use of sbrk from common ports. This removes it from boehm-gc & force the use of mmap.

With this the regression test still passes.

Will this need an exp-run?
Comment 1 Carlos J. Puga Medina freebsd_committer 2016-04-23 23:12:02 UTC
Testing@work
Comment 2 Carlos J. Puga Medina freebsd_committer 2016-04-23 23:15:52 UTC
Few ports depends on boehm-gc, so we don't need to request an exp-run.
Comment 3 Carlos J. Puga Medina freebsd_committer 2016-04-24 11:30:56 UTC
All builds are fine. Tested on 9.3-i386 and amd64, 10.2-i386 and amd64 and 10.3-i386 and amd64.

'make regression-test' looks fine.
Comment 4 Carlos J. Puga Medina freebsd_committer 2016-04-24 11:33:05 UTC
Andrew,

Can you provide the build logs on arm64?
Comment 5 Jason Unovitch freebsd_committer 2016-04-25 01:02:40 UTC
(In reply to Carlos J. Puga Medina from comment #4)
I'm assuming that Andrew's comment on the regression test passing means arm64 builds look good.  Carlos, mentor approved for commit.
Comment 6 commit-hook freebsd_committer 2016-04-29 15:23:14 UTC
A commit references this bug:

Author: cpm
Date: Fri Apr 29 15:22:19 UTC 2016
New revision: 414277
URL: https://svnweb.freebsd.org/changeset/ports/414277

Log:
  - Add configuration to force using mmap
  - Regenerate patches with makepatch
  - Update MAINTAINER to my @FreeBSD.org address
  - Bump PORTREVISION

  PR:	208995
  Submitted by:	andrew
  Approved by:	junovitch (mentor)

Changes:
  head/devel/boehm-gc/Makefile
  head/devel/boehm-gc/files/patch-configure
  head/devel/boehm-gc/files/patch-doc_gc.man
Comment 7 Carlos J. Puga Medina freebsd_committer 2016-04-29 15:25:13 UTC
Committed, thanks!